Bug 842662 - [vdsm] 3.1 beta2 - Host becomes Non responsive after rolling back from incorrect configuration
[vdsm] 3.1 beta2 - Host becomes Non responsive after rolling back from incorr...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity urgent
: beta
: ---
Assigned To: Igor Lvovsky
GenadiC
network
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 08:08 EDT by GenadiC
Modified: 2012-12-04 14:03 EST (History)
7 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-29.0
Doc Type: Bug Fix
Doc Text:
Previously, when there was a failed network configuration, the VDSM would not correctly roll back to the most recent successful configuration. This caused the Red Hat Enterprise Virtualization Manager to lose its connection to the VDSM host. Now, if a network configuration is incorrect, the previous settings will automatically be restored.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:03:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm log for the rollback error (6.99 MB, application/octet-stream)
2012-07-24 08:08 EDT, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-07-24 08:08:15 EDT
Created attachment 600003 [details]
vdsm log for the rollback error

Description of problem:
When connectivity check fails after incorrect setupNetwork configuration and the rolling back step in, the host stays in Non responsive state.
The host performs network rollback, the ifcfg-"xxx" shows the correct (rolled back)configuration for the Network, but ifconfig shows incorect (not rolled back)configuration



How reproducible:
always

Steps to Reproduce:
1. Create VM Network and attach it to the host's NIC
2. Change the IP of the Network to the static (in the same subnet as rhevm Manager) and press ok button
3. Wait for about 2 minutes(the rolling back time) 

  
Actual results:
The rollback is executed, but the IP on the interface is not rolled back and as a result there is no connectivity between the manager and the host 

Expected results:
The ip on the interface should be the correct (rolled back ip)

Additional info:
Comment 2 lpeer 2012-07-26 07:35:05 EDT

*** This bug has been marked as a duplicate of bug 835900 ***
Comment 6 Igor Lvovsky 2012-08-15 10:39:59 EDT
http://gerrit.ovirt.org/#/c/6991/
Comment 8 GenadiC 2012-08-22 10:01:36 EDT
Verified in SI15
Comment 11 errata-xmlrpc 2012-12-04 14:03:30 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.